/* hands.h - data used by hands.c 
 *
 * keywords: @(#) hands.h 1.2@(#)
 */

/* Mojo's types */

typedef struct _point {
	int x;
	int y;
} POINT;

#ifdef _BRIDGE_

/* Mojo's print coordinates */

POINT suit_offsets[4][4] = {	/* [player][suit] */
	{
		{ 10, 3 },	/* [north][clubs]		*/
		{ 10, 2 },	/* [north][diamonds]	*/
		{ 10, 1 },	/* [north][hearts]		*/
		{ 10, 0 }	/* [north][spades]		*/
	}, {
		{ 15, 7 },	/* [east][clubs]		*/
		{ 15, 6 },	/* [east][diamonds]		*/
		{ 15, 5 },	/* [east][hearts]		*/
		{ 15, 4 }	/* [east][spades]		*/
	}, {
		{ 10, 11 },	/* [south][clubs]		*/
		{ 10, 10 },	/* [south][diamonds]	*/
		{ 10, 9 },	/* [south][hearts]		*/
		{ 10, 8 }	/* [south][spades]		*/
	}, {
		{ 0, 7 },	/* [west][clubs]		*/
		{ 0, 6 },	/* [west][diamonds]		*/
		{ 0, 5 },	/* [west][hearts]		*/
		{ 0, 4 }	/* [west][spades]		*/
	}
};

#else

extern POINT suit_offsets[4][4];

#endif

